Create File System Dialog
Prev | Chapter 3. xfsm | Next

## Create File System Dialog

When you select the “ New” option from the Selected menu, you see the Create File System dialog. This dialog window allows you to specify a partition on a disk or a logical volume and create a filesystem on it. Apart from the main window, this window is the most important part of `xfsm`.

You have a choice of filesystem types and other parameters for your filesystem. You can also choose to export the new filesystem with NFS.

Depending on the type of filesystem you are making and the parameters you assign, this dialog window changes form and size and offers different parameter options. For example, the parameter options for an XFS filesystem are quite different from those for an EFS filesystem. When you first bring up the dialog, it looks similar to Figure 3-3:

Figure 3-3. xfsm Create File System Dialog

The standard and expansion parts of this dialog are discussed and shown below.

### Create File System Dialog Buttons and Fields

The Create File System dialog buttons are shown at the bottom of Figure 3-3. The buttons have the following meanings:

Accept |  | Collects the data from the dialog and creates a new filesystem. Then, the dialog is removed.
Apply |  | This button accepts the current information in the dialog, but the dialog remains open so that you can continue to create filesystems.
Cancel |  | Closes the dialog. No action is taken and any changes to the dialog are discarded.
Help |  | Brings up this help screen.

The following sections detail the various fields and parameter sections that you may see when working with the Create File System dialog. Note that many of these sections depend on other parameters, so you do not see each section during all transactions.

Host Name |  | This field is a label that displays the name of the current selected host.
File System Type |  | This field is a pair of radio buttons that indicate whether the type of filesystem is XFS or EFS.
Volume/Partition Option Menu |  | This option menu is a set of labels, buttons, and text fields that specify whether the underlying resource for the filesystem is a logical volume or a disk partition. The labeled button on the left sets the selection list to either Volume for logical volumes, or Partition for individual disk partitions. The text entry field on the right allows you to specify a disk partition or logical volume. Note that the field contains a down-arrow button on the right that expands the field into a list of all available partitions or logical volumes. Below these selections is a push button that displays the Volume Search or Partition Search dialog, depending on the current selection setting. These dialogs are described in “xfsm Volume/Partition Search Dialog”.

#### Mount Point and Mount Information

The mount point section of the dialog includes a text field in which to enter the mount point directory pathname and some buttons and text fields for specifying mounting instructions for the new filesystem. It is shown in Figure 3-4:

Figure 3-4. Create File System Mount Point Fields

The following buttons and fields provide mounting instructions for the new filesystem:

Create Directory |  | This toggle button indicates that the directory specified in the Mount Point field should be created if it does not exist. Only the final component of the directory path may be created. If there are missing parent directories, the mount point is not created and an error message is displayed.
Mount File System |  | This toggle button indicates that the filesystem should be mounted immediately after it is created.
Owner |  | This is a text field to specify the owner for the directory specified in the Mount Point field. This field is available only if the Create Directory toggle button is checked.
Group |  | This is a text field to specify the user group for the directory specified in the Mount Point field. This field is available only if the Create Directory toggle button is checked.
Mode |  | This is a text field to specify the octal permission mode for the directory specified in the Mount Point field. This field is available only if the Create Directory toggle button is checked.

### Create File System Dialog Advanced Options

Depending on the parameters and button selections you have made in the main portion of the Create File System dialog, there are several advanced options that you can select. It is recommended that advanced options be set only by those users who completely understand the options being set. For example, there are different advanced options available for XFS and EFS filesystems. There are also advanced options for exporting new filesystems with NFS. The Advanced Options section of the Create File System dialog appears as shown in Figure 3-5:

Figure 3-5. Create File System Dialog Advanced Options Buttons

In Figure 3-5, the XFS button is shown, indicating that an XFS filesystem is being created. If an EFS filesystem were being created, the button would be labeled EFS. Click either button to see the desired set of available options.

#### XFS Advanced Options

When you click the XFS Advanced Options button, you see the following additional fields, as shown in Figure 3-6:

Figure 3-6. XFS Create File System Advanced Options

The advanced options shown are available when creating XFS filesystems. All numeric values are assumed to be in bytes unless the suffixes KB or MB are present, indicating Kilobytes and Megabytes, respectively. If an unacceptable value is entered, an error message is shown detailing the acceptable values for the particular field. The following list details the XFS Advanced Options:

Blocks option menu |  | This option menu determines how the value in the Blocks text field is interpreted. The following options are available: Size - If the value of the option menu is Size, then the value of the Blocks text field is interpreted as the literal size of a filesystem block. Base 2 Log - If the value of the option menu is Base 2 Log, then the value of the Blocks text field is interpreted as the size of a filesystem block in base as a power of 2.
Blocks text field |  | This text field allows you to specify the size of blocks in the filesystem. A default size is provided. Enter the value desired in this text field.

Figure 3-7 shows the locations of the option menu and text field:

Figure 3-7. Blocks Option Menu and Text Field

Inodes option menu |  | This option menu determines how the value in the Inodes text field is interpreted. The following options are available: Size - If the value of the option menu is Size, then the value of the Inodes text field is interpreted as the literal size of a filesystem inode. Base 2 Log - If the value of the option menu is Base 2 Log, then the value of the Inodes text field is interpreted as the size of a filesystem inode in base as a power of 2. Per Block - If the value of the option menu is Per Block, then the value of the Inodes text field is interpreted as the number of inodes that should fit into a filesystem block, as specified in the Blocks text field.
Inodes text field |  | This text field allows you to specify the size of inodes in the filesystem. A default size is provided. Enter the value desired in this text field.
Data Size |  | This text field allows you to specify the desired size of the data subvolume for this filesystem. A default value is provided.
Log Size |  | This text field allows you to specify the desired size of the log subvolume for this filesystem. A default value is provided.
Part of Data Section |  | This button indicates that the log subvolume should be a part of the data subvolume. For XFS filesystems whose underlying disk resource is a disk partition rather than a logical volume, this field is always true.
RT Size |  | This text field allows you to specify the desired size of the RT subvolume for this filesystem. This field is visible only when the underlying disk resource for the XFS filesystem is a logical volume that has an RT subvolume defined.
RT Block Size |  | This text field allows you to specify the desired block size of the RT subvolume for this filesystem. This field is visible only when the underlying disk resource for the XFS filesystem is a volume that has an RT subvolume defined. A default value is provided.

#### EFS Advanced Options

When you click the EFS Advanced Options button, you see the following additional buttons and fields, as shown in Figure 3-8:

Figure 3-8. EFS Create File System Advanced Options

The advanced options shown are available when creating EFS filesystems. If an unacceptable numeric value is entered, an error message is shown detailing the acceptable values for the particular field. The following list details the EFS Advanced Options:

Read |  | This button indicates the filesystem is readable.
Write |  | This button indicates the filesystem is writable.
Automatically mount at startup |  | This button indicates that the filesystem should be mounted whenever a `mount -a` command is issued by root.
Use parent group id when creating files |  | This button indicates that files created within this filesystem will receive the group ID of their parent directory rather than the group ID of the creating process.
'setuid' execution not allowed for non super-users |  | This button indicates that `setuid' execution is not allowed for non super-users (root).
Disallow access to character and block special files |  | This button indicates that users are not allowed to read or list character and block special device files for this filesystem.
Enforce disk quotas |  | This button indicates that disk quotas are enforced on this filesystem.
Write super-block only (recovery) |  | This button indicates that mkfs(1M) should write the superblock only, without touching other areas of the filesystem. This allows a final recovery attempt for a filesystem if the superblock has been destroyed.
Cylinder align inodes and data |  | This button indicates that the inodes and data for the filesystem should be aligned on disk cylinder boundaries. This may result in some loss of filesystem space, but may also increase performance (approximately 2%) on drives that have a fixed number of sectors per track. Many SCSI disk drives do not have a fixed number of sectors per track, and therefore see no benefit from this option.
Number of Inodes |  | This text field allows you to specify the desired number of inodes for this filesystem. If this field is left empty, the default number of inodes are created.
Number of Blocks |  | This text field allows you to specify the desired number of physical disk blocks that the filesystem occupies. If this field is left empty, the maximum number of blocks (based upon the size of the underlying disk resource) are created.
Sectors Per Track |  | This text field allows you to specify the desired number of sectors per track. If this field is left empty a default value is provided.
Cylinder Group Size |  | This text field allows you to specify the desired size of each cylinder group (in blocks). If this field is left empty, a default value is used.
Boundary |  | This text field allows you to specify the boundary (in disk blocks) to which each cylinder group should be aligned. If this field is left empty, a default value is used.
Inode Boundary |  | This text field allows you to specify the boundary (in disk blocks) to which each cylinder group's inode list should be aligned. If this field is left empty, a default value is used.
Dump Frequency |  | This text field allows you to specify the dump frequency (in days) for backup purposes. If this field is left empty, a default value is used.
Fsck Pass |  | This text field allows you to specify the pass number used during parallel fsck(1M) execution. If this field is left empty, a default value is used.

#### Export Advanced Options

When you click the Export Advanced Options button, you see the following additional fields, buttons, and menus, as shown in Figure 3-9:

Figure 3-9. Create File System Advanced Export Options

The advanced options shown are available when exporting filesystems for use by the optional NFS software. The following list details the Export Advanced Options:

Effective uid of root requests |  | This field takes a user ID number to be used as the effective UID if a request comes from a host for UID 0 (root) or from a host using null authentication.
Export file system as read-only |  | This button indicates that the filesystem should be exported as read-only.
Make all writes synchronous |  | This button indicates that all write actions to the filesystem should be synchronous. This ensures that data is reliably written to the filesystem. However, there is some cost in performance.
Allow access through parent file system |  | This button indicates that a client host that mounts this filesystem's parent filesystem should also have access to the files in this filesystem.
Host list |  | This is a scrolled list of hostnames at the bottom right of this screen section. The names on this list represent the hosts that may receive this exported filesystem. Double-clicking on a name in the list adds that host to the chosen list on the left panel in the screen section.
Chosen list |  | This is a scrolled list of the hosts that will receive this exported filesystem. The items in the list are arranged in two columns. The first column contains one of two values: rw or root, indicating full read and write access and root-only access, respectively. This value indicates how the filesystem is to be exported to the host name displayed in the second column. Double-clicking on an item in the list removes that item from the chosen list. By pressing the right mouse button when the mouse cursor is inside the chosen list, you can display a popup menu. The popup menu contains two entries: rw and root. When one of these entries is chosen, the value for the first column of any selected items in the list is changed to that value.
Option Menu |  | The option menu located between the host list and the chosen list defines the value of the first column of the chosen list for hostnames that are added to that list. There are two possible values: rw and root.
Arrow buttons |  | There are two arrow buttons located between the host list and the chosen list that provide another method for adding and removing items from the chosen list. To add items to the chosen list, select one or more hostnames from the host list and press the left arrow button (the one that points to the chosen list). To remove items from the chosen list, select one or more hostnames from the chosen list and press the right arrow button (the one that points to the host list).

Prev | Table of Contents | Next
Chapter 3. xfsm |  | Other xfsm Dialogs